#include <LineStyle.h>


LineStyle :: LineStyle(int ID, string name, string rgb, int type, float width) :
	ID_(ID),
	name_(name),
	rgb_(rgb),
	type_(type),
	width_(width)
{
}


void LineStyle :: type(int t)
{
	type_ = t;
}


void LineStyle :: width(float w)
{
	width_ = w;
}


string LineStyle :: name()
{
	return name_;
}


string LineStyle :: style()
{
	stringstream ID, type, width;

/*
	stringstream ID(ID_);
	stringstream type(type_);
	stringstream width(width_);
*/
 	ID << ID_;
	type << type_;
	width << width_;

        string style = "set style line " + ID.str() + " lc rgb '" + rgb_ + "' lt " + type.str() + " lw " + width.str();
}


